--- a/arch/arm/boot/dts/kirkwood-linksys-viper.dts
+++ b/arch/arm/boot/dts/kirkwood-linksys-viper.dts
@@ -24,6 +24,10 @@
 	};
 
 	aliases {
+		led-boot = &led_white_health;
+		led-failsafe = &led_white_health;
+		led-running = &led_white_health;
+		led-upgrade = &led_white_health;
 		serial0 = &uart0;
 	};
 
@@ -56,9 +60,10 @@
 		pinctrl-0 = < &pmx_led_white_health &pmx_led_white_pulse >;
 		pinctrl-names = "default";
 
-		white-health {
+		led_white_health: white-health {
 			label = "viper:white:health";
 			gpios = <&gpio0 7 GPIO_ACTIVE_HIGH>;
+			default-state = "on";
 		};
 
 		white-pulse {
@@ -114,23 +119,23 @@
 		};
 
 		partition@200000 {
-			label = "kernel";
-			reg = <0x200000 0x2A0000>;
+			label = "kernel1";
+			reg = <0x200000 0x1A00000>;
 		};
 
-		partition@4a0000 {
-			label = "rootfs";
-			reg = <0x4A0000 0x1760000>;
+		partition@500000 {
+			label = "rootfs1";
+			reg = <0x500000 0x1700000>;
 		};
 
 		partition@1c00000 {
-			label = "alt_kernel";
-			reg = <0x1C00000 0x2A0000>;
+			label = "kernel2";
+			reg = <0x1C00000 0x1A00000>;
 		};
 
-		partition@1ea0000 {
-			label = "alt_rootfs";
-			reg = <0x1EA0000 0x1760000>;
+		partition@1f00000 {
+			label = "rootfs2";
+			reg = <0x1F00000 0x1700000>;
 		};
 
 		partition@3600000 {
